API reference › Assignment and shift rules › Assignment shift settings
Retrieve specific tab details of assignments and shifts settings
GET /v1/settings/assignment-shift-settings
- Scope
settings_assignments_shifts:read- Roles
- admin, scheduler
Fetches the details for a specific tab within the assignments & shifts settings, based on the provided tab identifier.
Parameters
None of its own.
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Example request
curl "https://api.fetchfido.ai/v1/settings/assignment-shift-settings" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID"Try it
Responses
200 Assignments and Shifts settings retrieved successfully
Assignments and Shifts settings retrieved successfully
{
"success": true,
"data": {
"id": 1,
"enableAssignmentFinanceModule": true,
"enableShiftFinanceModule": true,
"enableAssignmentBilling": true,
"enableAssignmentPayables": true,
"enableAssignmentReimbursement": true,
"enableAssignmentRateRules": true,
"enableShiftBilling": true,
"enableShiftPayables": true,
"enableShiftReimbursement": true,
"enableShiftRateRules": true,
"enableAssignmentRequests": true,
"enableShiftRequests": true,
"primaryMode": "string",
"defaultPriorityLevel": {
"id": 1,
"label": "Example label"
},
"allowClientCreateRequest": true,
"allowPriorityOverrideClient": true,
"allowConsumerRequestService": true,
"assignmentDefaultAssignedOwner": {
"id": 1,
"image": "https://cdn.example.com/image.png",
"onlineStatus": "online",
"label": "Example label",
"subtitle": "user@example.com"
},
"shiftDefaultAssignedOwner": {
"id": 1,
"image": "https://cdn.example.com/image.png",
"onlineStatus": "online",
"label": "Example label",
"subtitle": "user@example.com"
},
"assignmentsPrimaryAssignmentManager": {
"id": 1,
"image": "https://cdn.example.com/image.png",
"onlineStatus": "online",
"label": "Example label",
"subtitle": "user@example.com"
},
"shiftsPrimaryAssignmentManager": {
"id": 1,
"image": "https://cdn.example.com/image.png",
"onlineStatus": "online",
"label": "Example label",
"subtitle": "user@example.com"
},
"allowReassignment": true,
"fallbackManager": {
"id": 1,
"image": "https://cdn.example.com/image.png",
"onlineStatus": "online",
"label": "Example label",
"subtitle": "user@example.com"
},
"reassignmentTriggerResponseTime": 1,
"reassignmentTriggerResponseTimeUnit": "string",
"schedulerUnavailable": true,
"manualReassignmentAdmin": true,
"requireVerifiedTimeDocumentation": true,
"useFidoNetwork": true
}
}Response fields (59)
2 top-level fields; 1 hold nested fields, listed below.
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
data | object (57 nested) |
Nested fields
data 57 fields
| Field | Type | Description |
|---|---|---|
data.id | integer | Example |
data.enableAssignmentFinanceModule | boolean | Example |
data.enableShiftFinanceModule | boolean | Example |
data.enableAssignmentBilling | boolean | Example |
data.enableAssignmentPayables | boolean | Example |
data.enableAssignmentReimbursement | boolean | Example |
data.enableAssignmentRateRules | boolean | Example |
data.enableShiftBilling | boolean | Example |
data.enableShiftPayables | boolean | Example |
data.enableShiftReimbursement | boolean | Example |
data.enableShiftRateRules | boolean | Example |
data.enableAssignmentRequests | boolean | Example |
data.enableShiftRequests | boolean | Example |
data.primaryMode | string | Example |
data.defaultPriorityLevel | object | |
data.defaultPriorityLevel.id | integer | Example |
data.defaultPriorityLevel.label | string | Example |
data.allowClientCreateRequest | boolean | Example |
data.allowPriorityOverrideClient | boolean | Example |
data.allowConsumerRequestService | boolean | Example |
data.assignmentDefaultAssignedOwner | object | |
data.assignmentDefaultAssignedOwner.id | integer | Example |
data.assignmentDefaultAssignedOwner.image | string | Example |
data.assignmentDefaultAssignedOwner.onlineStatus | string | Example |
data.assignmentDefaultAssignedOwner.label | string | Example |
data.assignmentDefaultAssignedOwner.subtitle | string | Example |
data.shiftDefaultAssignedOwner | object | |
data.shiftDefaultAssignedOwner.id | integer | Example |
data.shiftDefaultAssignedOwner.image | string | Example |
data.shiftDefaultAssignedOwner.onlineStatus | string | Example |
data.shiftDefaultAssignedOwner.label | string | Example |
data.shiftDefaultAssignedOwner.subtitle | string | Example |
data.assignmentsPrimaryAssignmentManager | object | |
data.assignmentsPrimaryAssignmentManager.id | integer | Example |
data.assignmentsPrimaryAssignmentManager.image | string | Example |
data.assignmentsPrimaryAssignmentManager.onlineStatus | string | Example |
data.assignmentsPrimaryAssignmentManager.label | string | Example |
data.assignmentsPrimaryAssignmentManager.subtitle | string | Example |
data.shiftsPrimaryAssignmentManager | object | |
data.shiftsPrimaryAssignmentManager.id | integer | Example |
data.shiftsPrimaryAssignmentManager.image | string | Example |
data.shiftsPrimaryAssignmentManager.onlineStatus | string | Example |
data.shiftsPrimaryAssignmentManager.label | string | Example |
data.shiftsPrimaryAssignmentManager.subtitle | string | Example |
data.allowReassignment | boolean | Example |
data.fallbackManager | object | |
data.fallbackManager.id | integer | Example |
data.fallbackManager.image | string | Example |
data.fallbackManager.onlineStatus | string | Example |
data.fallbackManager.label | string | Example |
data.fallbackManager.subtitle | string | Example |
data.reassignmentTriggerResponseTime | integer | Example |
data.reassignmentTriggerResponseTimeUnit | string | Example |
data.schedulerUnavailable | boolean | Example |
data.manualReassignmentAdmin | boolean | Example |
data.requireVerifiedTimeDocumentation | boolean | Example |
data.useFidoNetwork | boolean | Example |
401 Not signed in
Unauthorized - authentication required
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'settings_assignments_shifts:read' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Internal server error
{
"success": false,
"message": "An unexpected error occurred. Please try again later."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |